
[layout]
background=background.gif
resources=knob_boost, knob_boost_cut, knob_spot, knob_mix, knob_width, knob_osc_octave, knob_osc_pitch, waveform_osc, waveform_lfo, button_simple, portamento_modes, keybmode, filter_slope_res, filter_type_res, osc_select

#################### Controls

[osc1_waveform]
param_name=osc1_waveform
type=popup
resource=waveform_osc
pos_x=20
pos_y=20

[osc1_pulsewidth]
param_name=osc1_pulsewidth
type=knob
resource=knob_spot
pos_x=80
pos_y=20

########

[osc2_waveform]
param_name=osc2_waveform
type=popup
resource=waveform_osc
pos_x=20
pos_y=100

[osc2_pulsewidth]
param_name=osc2_pulsewidth
type=knob
resource=knob_spot
pos_x=80
pos_y=100

[osc2_range]
param_name=osc2_range
type=knob
resource=knob_osc_octave
pos_x=300
pos_y=70

[osc2_pitch]
param_name=osc2_pitch
type=knob
resource=knob_osc_pitch
pos_x=350
pos_y=70

[osc2_detune]
param_name=osc2_detune
type=knob
resource=knob_boost_cut
pos_x=400
pos_y=70

########

[osc2_sync]
param_name=osc2_sync
type=button
resource=button_simple
pos_x=41
pos_y=89

#########

[osc_mix]
param_name=osc_mix
type=knob
resource=knob_mix
pos_x=170
pos_y=20

[osc_mix_mode]
param_name=osc_mix_mode
type=knob
resource=knob_boost
pos_x=170
pos_y=80

################

[amp_attack]
param_name=amp_attack
type=knob
resource=knob_boost
pos_x=260
pos_y=20

[amp_decay]
param_name=amp_decay
type=knob
resource=knob_boost
pos_x=320
pos_y=20

[amp_sustain]
param_name=amp_sustain
type=knob
resource=knob_boost
pos_x=380
pos_y=20

[amp_release]
param_name=amp_release
type=knob
resource=knob_boost
pos_x=440
pos_y=20

################

[filter_type]
param_name=filter_type
type=popup
resource=filter_type_res
pos_x=1200
pos_y=20

[filter_slope]
param_name=filter_slope
type=popup
resource=filter_slope_res
pos_x=500
pos_y=92

[filter_resonance]
param_name=filter_resonance
type=knob
resource=knob_boost
pos_x=525
pos_y=20

[filter_cutoff]
param_name=filter_cutoff
type=knob
resource=knob_spot
pos_x=575
pos_y=20

[filter_kbd_track]
param_name=filter_kbd_track
type=knob
resource=knob_width
pos_x=675
pos_y=20

[filter_env_amount]
param_name=filter_env_amount
type=knob
resource=knob_boost_cut
pos_x=725
pos_y=20

#########

[filter_attack]
param_name=filter_attack
type=knob
resource=knob_boost
pos_x=600
pos_y=80

[filter_decay]
param_name=filter_decay
type=knob
resource=knob_boost
pos_x=650
pos_y=80

[filter_sustain]
param_name=filter_sustain
type=knob
resource=knob_boost
pos_x=700
pos_y=80

[filter_release]
param_name=filter_release
type=knob
resource=knob_boost
pos_x=750
pos_y=80

################

[master_vol]
param_name=master_vol
type=knob
resource=knob_boost
pos_x=1140
pos_y=100

[distortion_crunch]
param_name=distortion_crunch
type=knob
resource=knob_boost
pos_x=800
pos_y=80

################

[lfo_waveform]
param_name=lfo_waveform
type=popup
resource=waveform_lfo
pos_x=850
pos_y=60

[lfo_freq]
param_name=lfo_freq
type=knob
resource=knob_spot
pos_x=850
pos_y=10

[freq_mod_amount]
param_name=freq_mod_amount
type=knob
resource=knob_boost
pos_x=900
pos_y=40

[freq_mod_osc]
param_name=freq_mod_osc
type=popup
resource=osc_select
pos_x=60
pos_y=92

[filter_mod_amount]
param_name=filter_mod_amount
type=knob
resource=knob_boost
pos_x=950
pos_y=10

[amp_mod_amount]
param_name=amp_mod_amount
type=knob
resource=knob_boost
pos_x=1000
pos_y=10

################

[reverb_wet]
param_name=reverb_wet
type=knob
resource=knob_boost
pos_x=900
pos_y=80

[reverb_roomsize]
param_name=reverb_roomsize
type=knob
resource=knob_width
pos_x=950
pos_y=80

[reverb_width]
param_name=reverb_width
type=knob
resource=knob_width
pos_x=1000
pos_y=80

[reverb_damp]
param_name=reverb_damp
type=knob
resource=knob_boost
pos_x=1050
pos_y=80

################

[portamento_time]
param_name=portamento_time
type=knob
resource=knob_boost
pos_x=1100
pos_y=40

[portamento_mode]
param_name=portamento_mode
type=popup
resource=portamento_modes
pos_x=1060
pos_y=20

[keyboard_mode]
param_name=keyboard_mode
type=popup
resource=keybmode
pos_x=1130
pos_y=20

[filter_vel_sens]
param_name=filter_vel_sens
type=knob
resource=knob_spot
pos_x=1180
pos_y=40

[amp_vel_sens]
param_name=amp_vel_sens
type=knob
resource=knob_spot
pos_x=1230
pos_y=40

#################### Bitmaps

[knob_boost]
file=knob_boost.gif
width=49
height=49
frames=49

[knob_boost_cut]
file=knob_boost_cut.gif
width=49
height=49
frames=49

[knob_width]
file=knob_width.gif
width=49
height=49
frames=49

[knob_mix]
file=knob_mix.gif
width=49
height=49
frames=49

[knob_spot]
file=knob_spot.gif
width=49
height=49
frames=49

[knob_osc_octave]
file=knob_osc_octave.gif
width=49
height=49
frames=8

[knob_osc_pitch]
file=knob_osc_pitch.gif
width=49
height=49
frames=25

[waveform_osc]
file=waveform_pics.gif
width=49
height=49
frames=5

[waveform_lfo]
file=waveform_lfo.gif
width=49
height=49
frames=7

[button_simple]
file=button_simple.gif
width=21
height=21
frames=2

[portamento_modes]
file=portamento_modes.gif
width=55
height=15
frames=2

[keybmode]
file=keybmode.gif
width=55
height=15
frames=3

[filter_slope_res]
file=filter_slope.gif
width=45
height=15
frames=2

[filter_type_res]
file=filter_type.gif
width=65
height=15
frames=5

[osc_select]
file=osc_select.gif
width=55
height=15
frames=3
